package com.kuyuntech.cofarcooking.device.sdk.protocol.core;

import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;

public class BaseEncoder {

    private BaseBody baseBody;

    private void init(byte[] content) {
        this.baseBody = new BaseBody(content);
    }

    public byte[] escapeBytes() {
        return this.baseBody.escapeBytes();
    }

    public String escapeBytesStr() {
        return this.baseBody.escapeBytesStr();
    }


    public byte[] bytes() {
        return this.baseBody.bytes();

    }

    public String bytesStr() {
        return this.baseBody.bytesStr();

    }

    public BaseEncoder(byte[] content) {
        this.init(content);
    }

    public BaseEncoder(String content) {
        this.init(Converter.hexStringToBytes(content));
    }

    public BaseBody getBaseBody() {
        return baseBody;
    }

//    public static void main(String[] args) {
//        BaseEncoder baseEncoder = new BaseEncoder("7e087d");
//        System.out.println(baseEncoder.bytesStr());
//        System.out.println(baseEncoder.escapeBytesStr());
//
//        BaseDecoder baseDecoder = new BaseDecoder(baseEncoder.escapeBytesStr());
//        System.out.println(baseDecoder.bytesStr());
//
//    }

}
